<?php
/*
PLUGIN NAME: Subpage View
Plugin URI: http://wordpress.org/extend/plugins/subpage-view/
DESCRIPTION: A plugin for showing a list of subpages to a given page. Insert into using shortcode <code>[subpage-view <em>attributes</em>]</code>, eg. <code>[subpage-view depth="1"]</code>. View <a href="http://codex.wordpress.org/Template_Tags/wp_list_pages">WordPress Codex</a> for shortcode help.
AUTHOR: Henrik Urlund
AUTHOR URI: http://urlund.com/
VERSION: 1.1.0

Copyright 2007-2020 Henrik Urlund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

class SubpageView
{
    /**
     * Undocumented function
     */
    public function __construct()
    {
        add_shortcode('subpage-view', array($this, 'subpage_view'));
        add_shortcode('subpage-list', array($this, 'subpage_view'));
        add_shortcode('subpages', array($this, 'subpage_view'));
    }

    /**
     * Undocumented function
     * @param [type] $atts
     * @return void
     */
	public function subpage_view($atts)
	{
        global $wp_query;

		return wp_list_pages(shortcode_atts(array(
			'depth'        => 0,
			'show_date'    => '',
			'date_format'  => get_option('date_format'),
			'child_of'     => $wp_query->queried_object->ID,
			'exclude'      => '',
			'title_li'     => '',
			'authors'      => '',
			'sort_column'  => 'menu_order, post_title',
			'link_before'  => '',
			'link_after'   => '',
            'exclude_tree' => '',
            'post_type'    => 'page',
            'post_status'  => 'publish',
            'item_spacing' => 'preserve',
            'walker'       => '',
		), $atts));
	}
}

new SubpageView;
